Surrounds the image with a border

- « Imagick::blurImage

- Imagick::brightnessContrastImage »

- PHP Manual
- Imagick
- Surrounds the image with a border

# Imagick::borderImage

(PECL imagick 2, PECL imagick 3)

Imagick::borderImage — Surrounds the image with a border

### Description

public Imagick::borderImage(mixed `$bordercolor`, int `$width`, int `$height`): bool

Surrounds the image with a border of the color defined by the bordercolor ImagickPixel object.

### Parameters

`bordercolor`

  ImagickPixel object or a string containing the border color

`width`

  Border width

`height`

  Border height

### Return Values

Returns `true` on success.

### Changelog

Version | Description
--- | ---
PECL imagick 2.1.0 | Now allows a string representing the color as the first parameter. Previous versions allow only an ImagickPixel object.

### Examples

Example #1 Imagick::borderImage()

    <?phpfunction borderImage($imagePath, $color, $width, $height) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->borderImage($color, $width, $height);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>